RDKit Nodes 2.5.0 Released

Dear RDKit Nodes Users,

we have just released a new official RDKit Nodes version 2.5.0, which is available for KNIME 2.11 (and soon in KNIME 2.12). It contains the following changes and improvements:

  • General changes:
    <ul>
    	<li>Updated RDKit Binaries to version&nbsp;2015_03_1. This is a major change and updates the algorithms how SMILES are canonicalized! Please re-execute intermediate results which are based on canonicalized SMILES.</li>
    	<li>Python integration. RDKit column types integrate now nicely with KNIME&rsquo;s Python Nodes that allow to run RDKit also in Python and exchange molecule and fingerprint based data.</li>
    	<li>Added MCS aggregation functionality that will show up in KNIME&#39;s GroupBy node.</li>
    	<li>Improved GUI in node dialogs.</li>
    	<li>Improved documentation.</li>
    </ul>
    </li>
    <li><strong>Deprecated RDKit nodes:</strong>
    <ul>
    	<li>​RDKit Highlighting Atoms node (there is a much better one added instead)</li>
    </ul>
    </li>
    <li><strong>Added new RDKit nodes:</strong>
    <ul>
    	<li>RDKit Structure Normalizer node, which is based on StruChk, an Avalon component part of the RDKit</li>
    	<li>RDKit MCS node</li>
    	<li>RDKit Count-based Fingerprint Node</li>
    	<li>RDKit Highlighting node, which offers more sophisticated highlighting of atoms and also bonds</li>
    </ul>
    </li>
    <li><strong>Improved the following RDKit nodes:</strong>
    <ul>
    	<li>RDKit From Molecule:
    	<ul>
    		<li>Added new TreatAsQuery option</li>
    	</ul>
    	</li>
    	<li>RDKit Optimize Geometry:
    	<ul>
    		<li>Supports now switching off optimization to just calculate the energy of an existing molecule conformation​</li>
    	</ul>
    	</li>
    </ul>
    </li>
    <li><strong>Bug fixes:</strong>
    <ul>
    	<li>RDKit Substructure Filter:
    	<ul>
    		<li>Fixed bug in atom list generation used for atom highlighting, which contained always the 0 atom</li>
    	</ul>
    	</li>
    </ul>
    </li>
    <li><strong>Techie Stuff:</strong>
    <ul>
    	<li>Bugfixes in RDKit Nodes Wizard templates that make a new RDKit node work with RDKit adapter cells.</li>
    	<li>Made entire code base Java 1.7 compliant (no Java 1.6 support anymore)</li>
    </ul>
    </li>
    

A big Thank You to all users who were using and testing our nightly build version in the past, which accumulated these changes for quite some time now.

We hope you all will enjoy these changes --- Thanks for using RDKit in KNIME!

Kind regards,
Manuel

I'm not getting the update with the nightly build. Is this an actual download? Or does it mean I already have the latest version because I update nightly?

Thanks,

Natasja

 

Hi Natasja,

you are one of the power users using always cutting edge code with the nightly build :-). You are already using the latest nodes. My announcement was targetting the non-nightly build users. For them the (already long tested) RDKit Nodes version 2.5.0 is now also available.

Kind regards,
Manuel

Hi,

I am new to KNIME (3.0.0) and trying to install RDKIT to the system. I found RDKIT packages but am not able to install them. The following is the error message. Anything I can do about this?

Bests, Peter

Your original request has been modified.
  "Source for RDKit KNIME integration" will be ignored because it is already installed.
  "Source for RDKit KNIME Wizards" will be ignored because it is already installed.
Cannot complete the install because one or more required items could not be found.
  Software being installed: RDKit KNIME integration 2.5.0.201509291613 (org.rdkit.knime.feature.feature.group 2.5.0.201509291613)
  Missing requirement: RDKit Nodes for Knime 2.5.0.201509291613 (org.rdkit.knime.nodes 2.5.0.201509291613) requires 'bundle org.knime.base [2.8.0,3.0.0)' but it could not be found
  Cannot satisfy dependency:
    From: RDKit KNIME integration 2.5.0.201509291613 (org.rdkit.knime.feature.feature.group 2.5.0.201509291613)
    To: org.rdkit.knime.nodes [2.5.0.201509291613]

There is no version of RDKit compatible with KNIME 3 yet.

There is now. Since November 13, we provide the RDKit Nodes plugins 3.0.0 now for KNIME 3.0.0. We had to do quite a bit of internal changes to work with new KNIME version, in particular around the molecule cell handling. So, I would still call it a beta version, where you have to expect to find some bugs. Please use and test and report any bugs you may encounter in this forum. Thanks!
 

Kind regards,

Manuel